#include "DAQDataFormats/RawNanoSliceHeaderV3.h"
/// It is requred to
///   1. include DAQDataFormats/DataFormatFirst.inc
///   2. define CURRENT_CLASS
///   3.    define CURRENT_CLASS_VERSION for version of the class
///      OR define LAST_CLASS_VERSION    for the main structure of the class
///   4. (optional) define CURRENT_FIELDS_SUB_NAMESPACE
///   5. include DAQDataFormats/DataFormatLast.inc
/// before the declaration of the DataFormat version class in the header.
#include "DAQDataFormats/DataFormatFirst.inc"
#define  CURRENT_CLASS                RawNanoSliceHeader
#define  CURRENT_CLASS_VERSION        3
#include "DAQDataFormats/DataFormatLast.inc"

namespace daqdataformats{
namespace VERSION_NAMESPACE{

//------------------------Constructors------------------------------------------
RawNanoSliceHeader::RawNanoSliceHeader(const version_t version):
    PREVIOUS_VERSION_CLASS_NAME(version)
{ }

RawNanoSliceHeader::RawNanoSliceHeader(const RawNanoSliceHeader& copyin):
    PREVIOUS_VERSION_CLASS_NAME(copyin)
{ }

//------------------------Destructor--------------------------------------------
RawNanoSliceHeader::~RawNanoSliceHeader()
{ }

}}